Get all integration statuses
Returns a consolidated overview of all integration statuses including Slack, Clay, and all CRM types (attio, hubspot, pipedrive, airtable, salesforce, supabase).
curl -X GET "https://api.sendkit.ai/v1/integrations" \
-H "Content-Type: application/json" \
-H "X-Api-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.sendkit.ai/v1/integrations"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.sendkit.ai/v1/integrations", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.sendkit.ai/v1/integrations", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-Api-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.sendkit.ai/v1/integrations')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-Api-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"slack": {
"connected": true,
"teamName": "Acme Team"
},
"clay": {
"enabled": false
},
"crm": {
"attio": {
"enabled": true,
"status": "connected",
"lastSyncAt": "2026-03-23T09:05:36.161Z",
"totalPulled": 5998,
"totalPushed": 10
},
"hubspot": {
"enabled": false,
"status": "disconnected",
"lastSyncAt": null,
"totalPulled": 0,
"totalPushed": 0
},
"pipedrive": {
"enabled": true,
"status": "connected",
"lastSyncAt": null,
"totalPulled": 0,
"totalPushed": 0
},
"airtable": {
"enabled": true,
"status": "connected",
"lastSyncAt": "2026-03-23T09:39:57.913Z",
"totalPulled": 0,
"totalPushed": 49
},
"salesforce": {
"enabled": true,
"status": "connected",
"lastSyncAt": null,
"totalPulled": 0,
"totalPushed": 0
},
"supabase": {
"enabled": true,
"status": "connected",
"lastSyncAt": "2026-03-06T08:08:24.171Z",
"totalPulled": 100,
"totalPushed": 75
}
}
}
}
GET
/v1/integrations
GET
API Key (header: X-Api-Key)
X-Api-Keystring
RequiredPlatform API key (sk_user_...) or Workspace API key (sk_...)
Platform API key (sk_user_...) or Workspace API key (sk_...)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-Api-Keystring
RequiredAPI Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)
Responses
successboolean
dataobject
slackobject
connectedboolean
teamNamestring
clayobject
enabledboolean
crmobject
Status for each CRM type. Keys: attio, hubspot, pipedrive, airtable, salesforce, supabase
Was this page helpful?
Last updated 4 days ago
Built with Documentation.AI